<a name="menu">目录</a>
1. [支付二维码](#qrcode)
1. [检查支付状态](#getPayStatus)

## **<a name="qrcode"> 支付二维码 </a>**
[返回到目录](#menu)
##### URL
[/web/payment/payCtl/getQrCodeInfo]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        order_no:               // 订单号,
        op_type:                // 支付方式:["wx"，"alipay"],
        total_sum:              // 订单金额
    }


```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
    "payinfo":"https://syb.allinpay.com/apiweb/h5unionpay/native?key=qbWZUuwa4pu2J%2Bj38mkp8863",   // 二维码图片
        "reqsn":"333_40_1",
        "chnltrxid":"121905790000021961",
        "trxid":"121905790000021961",
        "trxstatus":"0000",
        "wxPayOrderCode":"121905790000021961",            // 微信码
        "aliPayOrderCode":"333",                          // 支付宝码
    }
}

```


## **<a name="getPayStatus"> 检查支付状态 </a>**
[返回到目录](#menu)
##### URL
[/web/payment/payCtl/getPayStatus]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        order_no:订单号,
        op_type:支付方式:["wx"，"alipay"],
        aliPay_order_code: 支付宝码,
        wx_pay_order_code:微信码
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": 以下四种类型
            // {code":1"msg":""} code为1则支付成功
            // {"code":-330,"msg":"超时未支付，请刷新页面"}
            // {"code":-130,"msg":"请及时支付"}
            // { code: 0, msg: '错误信息', data: {} }
        ,
        "requestid": "ae2a9c2e2ff6497e8cc9fd2c7fac9fe8"
    }

```
